Package org.eclipse.birt.chart.model.component.impl

# Class GridImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.GridImpl

All Implemented Interfaces:
  `Grid`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class GridImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Grid
An implementation of the model object ' Grid'.

The following features are implemented:

- `Line Attributes`
- `Tick Style`
- `Tick Attributes`
- `Tick Size`
- `Tick Count`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetTickAttributes(LineAttributes newTickAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`Grid`
`copyInstance()`
`static Grid`
`create(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)`
`static Grid`
`createDefault(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`LineAttributes`
`getLineAttributes()`
`LineAttributes`
`getTickAttributes()`
`int`
`getTickCount()`
`double`
`getTickSize()`
`TickStyle`
`getTickStyle()`
`boolean`
`isSetTickCount()`
`boolean`
`isSetTickSize()`
`boolean`
`isSetTickStyle()`
`void`
`setLineAttributes(LineAttributes newLineAttributes)`
`void`
`setTickAttributes(LineAttributes newTickAttributes)`
`void`
`setTickCount(int newTickCount)`
`void`
`setTickSize(double newTickSize)`
`void`
`setTickStyle(TickStyle newTickStyle)`
`String`
`toString()`
`void`
`unsetTickCount()`
`void`
`unsetTickSize()`
`void`
`unsetTickStyle()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### create

public static Grid create(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)

### createDefault

public static Grid createDefault(boolean visible, ColorDefinition cd, LineStyle ls, int iThickness, TickStyle tickStyle)

### getLineAttributes

public LineAttributes getLineAttributes()

Specified by:
  `getLineAttributes` in interface `Grid`
Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `Grid.setLineAttributes(LineAttributes)`
  - `ComponentPackage.getGrid_LineAttributes()`

### basicSetLineAttributes

public org.eclipse.emf.common.notify.NotificationChain basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLineAttributes

public void setLineAttributes(LineAttributes newLineAttributes)

Specified by:
  `setLineAttributes` in interface `Grid`
Parameters:
  `newLineAttributes` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `Grid.getLineAttributes()`

### getTickStyle

public TickStyle getTickStyle()

Specified by:
  `getTickStyle` in interface `Grid`
Returns:
  the value of the 'Tick Style' attribute.
See Also:
  - `TickStyle`
  - `Grid.isSetTickStyle()`
  - `Grid.unsetTickStyle()`
  - `Grid.setTickStyle(TickStyle)`
  - `ComponentPackage.getGrid_TickStyle()`

### setTickStyle

public void setTickStyle(TickStyle newTickStyle)

Specified by:
  `setTickStyle` in interface `Grid`
Parameters:
  `newTickStyle` - the new value of the 'Tick Style' attribute.
See Also:
  - `TickStyle`
  - `Grid.isSetTickStyle()`
  - `Grid.unsetTickStyle()`
  - `Grid.getTickStyle()`

### unsetTickStyle

public void unsetTickStyle()

Specified by:
  `unsetTickStyle` in interface `Grid`
See Also:
  - `Grid.isSetTickStyle()`
  - `Grid.getTickStyle()`
  - `Grid.setTickStyle(TickStyle)`

### isSetTickStyle

public boolean isSetTickStyle()

Specified by:
  `isSetTickStyle` in interface `Grid`
Returns:
  whether the value of the 'Tick Style' attribute is set.
See Also:
  - `Grid.unsetTickStyle()`
  - `Grid.getTickStyle()`
  - `Grid.setTickStyle(TickStyle)`

### getTickAttributes

public LineAttributes getTickAttributes()

Specified by:
  `getTickAttributes` in interface `Grid`
Returns:
  the value of the 'Tick Attributes' containment reference.
See Also:
  - `Grid.setTickAttributes(LineAttributes)`
  - `ComponentPackage.getGrid_TickAttributes()`

### basicSetTickAttributes

public org.eclipse.emf.common.notify.NotificationChain basicSetTickAttributes(LineAttributes newTickAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)

### setTickAttributes

public void setTickAttributes(LineAttributes newTickAttributes)

Specified by:
  `setTickAttributes` in interface `Grid`
Parameters:
  `newTickAttributes` - the new value of the 'Tick Attributes' containment reference.
See Also:
  - `Grid.getTickAttributes()`

### getTickSize

public double getTickSize()

Specified by:
  `getTickSize` in interface `Grid`
Returns:
  the value of the 'Tick Size' attribute.
See Also:
  - `Grid.isSetTickSize()`
  - `Grid.unsetTickSize()`
  - `Grid.setTickSize(double)`
  - `ComponentPackage.getGrid_TickSize()`

### setTickSize

public void setTickSize(double newTickSize)

Specified by:
  `setTickSize` in interface `Grid`
Parameters:
  `newTickSize` - the new value of the 'Tick Size' attribute.
See Also:
  - `Grid.isSetTickSize()`
  - `Grid.unsetTickSize()`
  - `Grid.getTickSize()`

### unsetTickSize

public void unsetTickSize()

Specified by:
  `unsetTickSize` in interface `Grid`
See Also:
  - `Grid.isSetTickSize()`
  - `Grid.getTickSize()`
  - `Grid.setTickSize(double)`

### isSetTickSize

public boolean isSetTickSize()

Specified by:
  `isSetTickSize` in interface `Grid`
Returns:
  whether the value of the 'Tick Size' attribute is set.
See Also:
  - `Grid.unsetTickSize()`
  - `Grid.getTickSize()`
  - `Grid.setTickSize(double)`

### getTickCount

public int getTickCount()

Specified by:
  `getTickCount` in interface `Grid`
Returns:
  the value of the 'Tick Count' attribute.
See Also:
  - `Grid.isSetTickCount()`
  - `Grid.unsetTickCount()`
  - `Grid.setTickCount(int)`
  - `ComponentPackage.getGrid_TickCount()`

### setTickCount

public void setTickCount(int newTickCount)

Specified by:
  `setTickCount` in interface `Grid`
Parameters:
  `newTickCount` - the new value of the 'Tick Count' attribute.
See Also:
  - `Grid.isSetTickCount()`
  - `Grid.unsetTickCount()`
  - `Grid.getTickCount()`

### unsetTickCount

public void unsetTickCount()

Specified by:
  `unsetTickCount` in interface `Grid`
See Also:
  - `Grid.isSetTickCount()`
  - `Grid.getTickCount()`
  - `Grid.setTickCount(int)`

### isSetTickCount

public boolean isSetTickCount()

Specified by:
  `isSetTickCount` in interface `Grid`
Returns:
  whether the value of the 'Tick Count' attribute is set.
See Also:
  - `Grid.unsetTickCount()`
  - `Grid.getTickCount()`
  - `Grid.setTickCount(int)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### copyInstance

public Grid copyInstance()

Specified by:
  `copyInstance` in interface `Grid`
Specified by:
  `copyInstance` in interface `IChartObject`